| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
runValids.m File Reference

Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrices, we make 3 tests. More...

Go to the source code of this file.

## Functions
function | runValids (varargin)
| Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrices, we make 3 tests.

## Detailed Description

Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrices, we make 3 tests.

- Test 1 : computation of the assembly Matrix using all the versions giving errors and cputimes.
- Test 2 : comparison of the associated integral and its -Lagrange approximation.
- Test 3 : retrieving of numerical order for -Lagrange approximation.

Definition in file runValids.m.

## Function Documentation

function runValids | ( |  | varargin | ) |

Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrices, we make 3 tests.

     - Test 1 : computation of the assembly Matrix using all the versions giving
       errors and cputimes.
     - Test 2 : comparison of the associated integral and its \form#43-Lagrange approximation.
     - Test 3 : retrieving of numerical order for \form#43-Lagrange approximation.

Example

           runValids('save',true,'percent',50)

Results under Matlab R2012b
  Here are the `Test 3` figures obtained on our reference machine .
  - validMassP1() figure
    figure : Mass Matrix order validation
  - validMassWP1() figure
    figure : MassW Matrix order validation
  - validStiffP1() figure
    figure : Stiff Matrix order validation
  - validStiffElasP1() figure
    figure : StiffElas Matrix order validation

See Also
  validMassP1, validMassWP1, validStiffP1, validStiffElasP1, SaveFigure

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Parameters

  varargin | runValids ( [ "save", save_value ] [, "percent", percent_value ] ) Named Parameters for varargin: save set to true to save figures in `image` directory. ( Default: `false` ) percent value for resizing the figure (only png format). See SaveFigure ( Default: `50` )

Definition at line 17 of file runValids.m.